### Function

# PangoFT2 render_transformed

since: 1.6

#### Declaration [src]

    void
    pango_ft2_render_transformed (
      FT_Bitmap* bitmap,
      const PangoMatrix* matrix,
      PangoFont* font,
      PangoGlyphString* glyphs,
      int x,
      int y
    )

#### Description [src]

Renders a `PangoGlyphString` onto a FreeType2 bitmap, possibly transforming the layed-out coordinates through a transformation matrix.

Note that the transformation matrix for `font` is not changed, so to produce correct rendering results, the `font` must have been loaded using a `PangoContext` with an identical transformation matrix to that passed in to this function.

Available since: 1.6

#### Parameters

`bitmap`

  Type: `FT_Bitmap`

  The FreeType2 bitmap onto which to draw the string.

  The data is owned by the caller of the function.

`matrix`

  Type: `PangoMatrix`

  A `PangoMatrix`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`font`

  Type: `PangoFont`

  The font in which to draw the string.

  The data is owned by the caller of the function.

`glyphs`

  Type: `PangoGlyphString`

  The glyph string to draw.

  The data is owned by the caller of the function.

`x`

  Type: `int`

  The x position of the start of the string (in Pango units in user space coordinates).

`y`

  Type: `int`

  The y position of the baseline (in Pango units in user space coordinates).